# Interface IComponentBindings

## Index

### Properties

- componentOptionsModel
- componentStateModel
- queryController
- queryStateModel
- root
- searchInterface
- usageAnalytics

## Properties

### Optional componentOptionsModel

componentOptionsModel: ComponentOptionsModel

- Defined in ui/Base/ComponentBindings.ts :39

### Optional componentStateModel

componentStateModel: ComponentStateModel

- Defined in ui/Base/ComponentBindings.ts :23

### Optional queryController

queryController: QueryController

- Defined in ui/Base/ComponentBindings.ts :27

### Optional queryStateModel

queryStateModel: QueryStateModel

- Defined in ui/Base/ComponentBindings.ts :19

### Optional root

root: HTMLElement

- Defined in ui/Base/ComponentBindings.ts :15

### Optional searchInterface

searchInterface: SearchInterface

- Defined in ui/Base/ComponentBindings.ts :31

### Optional usageAnalytics

usageAnalytics: IAnalyticsClient

- Defined in ui/Base/ComponentBindings.ts :35

### Hierarchy

- IComponentBindings